function item3201()

	id = player.GetTargetNpc()
	mid=battle.GetActingPlayerID()
	
	--duid={}
	
	--if woo==nil then woo=0 end
    --woo=woo+1
	
	--global.Print(woo)

	--duid[woo]=id

	
	if mid==512 and battle.CheckNpcStat(id,1)==1 then
	local noid=npc.GetTemplateID(id)
	if (noid>=5501 and noid<=5587) or (noid>=5701 and noid<=5812) or (noid>=7017 and noid<=7029) or (noid>=7039 and noid<=7051) or (noid>=10001 and noid<=10049) or (noid>=11001 and noid<=11049) then
	
	for p=1,7,1 do
		if battle.CheckNpcPlace(p)==0 then
			local nid=battle.GetPlaceNpcID(p)
			if battle.CheckNpcStat(nid,741)==1 then
			    npc.RemoveStat(nid,741)
			end
		end
	end
	
	duid=id
	npc.AddStat(0,id,9000,741,999)
	--player.AddStat(0,512,9000,742,1)
	global.AddTimer(battle.GetRndNumber(15,25),33047)
	
	ui.Message(170735)
	
	end
	
	end

	
end